package com.unibuy.smartdevice.structure;

import org.json.JSONArray;

public class ReportFlowInfoStructure {
    String orderId;
    int flowType;
    String flowSendInfo;
    String flowRequestInfo;
    String productId;
    int totalPrice;
    String invoiceInfo;
    String flowBarCode;
    int flowStatusType;
    int giveChange;
    int usePoints;
    String reportFlowId;
    JSONArray shoppingCartInfoByJsonArray;

    public ReportFlowInfoStructure(String orderId, int flowType, String flowSendInfo, String flowRequestInfo, String productId, int totalPrice, String invoiceInfo, String flowBarCode, int flowStatusType, int giveChange, int usePoints, JSONArray shoppingCartInfoByJsonArray) {
        this.orderId = orderId;
        this.flowType = flowType;
        this.flowSendInfo = flowSendInfo;
        this.flowRequestInfo = flowRequestInfo;
        this.productId = productId;
        this.totalPrice = totalPrice;
        this.invoiceInfo = invoiceInfo;
        this.flowBarCode = flowBarCode;
        this.flowStatusType = flowStatusType;
        this.giveChange = giveChange;
        this.usePoints = usePoints;
        this.shoppingCartInfoByJsonArray = shoppingCartInfoByJsonArray;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public int getFlowType() {
        return flowType;
    }

    public void setFlowType(int flowType) {
        this.flowType = flowType;
    }

    public String getFlowSendInfo() {
        return flowSendInfo;
    }

    public void setFlowSendInfo(String flowSendInfo) {
        this.flowSendInfo = flowSendInfo;
    }

    public String getFlowRequestInfo() {
        return flowRequestInfo;
    }

    public void setFlowRequestInfo(String flowRequestInfo) {
        this.flowRequestInfo = flowRequestInfo;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public int getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(int totalPrice) {
        this.totalPrice = totalPrice;
    }

    public String getInvoiceInfo() {
        return invoiceInfo;
    }

    public void setInvoiceInfo(String invoiceInfo) {
        this.invoiceInfo = invoiceInfo;
    }

    public String getFlowBarCode() {
        return flowBarCode;
    }

    public void setFlowBarCode(String flowBarCode) {
        this.flowBarCode = flowBarCode;
    }

    public int getFlowStatusType() {
        return flowStatusType;
    }

    public void setFlowStatusType(int flowStatusType) {
        this.flowStatusType = flowStatusType;
    }

    public int getGiveChange() {
        return giveChange;
    }

    public void setGiveChange(int giveChange) {
        this.giveChange = giveChange;
    }

    public int getUsePoints() {
        return usePoints;
    }

    public void setUsePoints(int usePoints) {
        this.usePoints = usePoints;
    }

    public JSONArray getShoppingCartInfoByJsonArray() {
        return shoppingCartInfoByJsonArray;
    }

    public void setShoppingCartInfoByJsonArray(JSONArray shoppingCartInfoByJsonArray) {
        this.shoppingCartInfoByJsonArray = shoppingCartInfoByJsonArray;
    }

    public String getReportFlowId() {
        return reportFlowId;
    }

    public void setReportFlowId(String reportFlowId) {
        this.reportFlowId = reportFlowId;
    }

    @Override
    public String toString() {
        return "ReportFlowInfoStructure{" +
                "orderId='" + orderId + '\'' +
                ", flowType=" + flowType +
                ", flowSendInfo='" + flowSendInfo + '\'' +
                ", flowRequestInfo='" + flowRequestInfo + '\'' +
                ", productId='" + productId + '\'' +
                ", totalPrice=" + totalPrice +
                ", invoiceInfo='" + invoiceInfo + '\'' +
                ", flowBarCode='" + flowBarCode + '\'' +
                ", flowStatusType=" + flowStatusType +
                ", giveChange=" + giveChange +
                ", usePoints=" + usePoints +
                ", shoppingCartInfoByJsonArray=" + shoppingCartInfoByJsonArray +
                '}';
    }
}
